Bug 1600163 - nautilus / brasero-nautilus dependency may lead to loss of user data
Summary: nautilus / brasero-nautilus dependency may lead to loss of user data
Status: MODIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nautilus   
(Show other bugs)
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Carlos Soriano
QA Contact: Desktop QE
Marie Dolezelova
URL:
Whiteboard:
Keywords:
Depends On: 1628523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-11 14:53 UTC by Don Pellegrino
Modified: 2018-10-19 09:05 UTC (History)
7 users (show)

Fixed In Version: nautilus-3.26.3.1-4.el7
Doc Type: Known Issue
Doc Text:
The *Files* application can not burn disks in default installation The default installation of the *Files* application does not include the _brasero-nautilus_ package necessary for burning CDs or DVDs. As a consequence, the *Files* application allows files to be dragged and dropped into CD or DVD devices but no content is burned to the CD or DVD. As a workaround, install _brasero-nautilus_ package by: # yum install brasero-nautilus
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 0015005 None None None 2018-07-11 14:53 UTC

Description Don Pellegrino 2018-07-11 14:53:06 UTC
Description of problem:

An install may include the nautilus package, providing the GNOME Files application. However, the default installation does not include the brasero-nautilus package necessary for burning CD's or DVD's from Files. In this state, the Files application will show blank CD/DVD devices and allow drag-and-drop of files into their directory. However, it will not burn the contents to the devices. It does provide an eject button but no indication that the burn did not occur. As a result, the default user experience may imply to users that they have burned content to a CD or DVD, when they have not. No errors or warnings are provided in this state. A user may lose data, thinking they have burned it to a CD or DVD when they have not.

Ideally, the nautilus user interface should be modified to clarify that burning is not an option and prevent dragging and dropping of files into a blank CD or DVD directory when the necessary dependencies are missing. An appropriate bug could be reported upstream.

A work-around would be to make the brasero-nautilus dependency (and its dependent packages) mandatory for the nautilus package. This will ensure the dependencies for burning are in place and prevent the misleading user experience.

Version-Release number of selected component (if applicable):

nautilus-3.22.3-5.el7.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Setup an installation with nautilus-3.22.3-5.el7.x86_64 installed and brasero-nautilus not installed.
2. Connect a CD/DVD burner and load blank media.
3. Open Files and observe the new blank media directory is available.
4. Drag-and-drop content into the new directory in Files.
5. Eject the media from Files.
6. Re-insert the blank media. Note that the content is listed, incorrectly implying it exists on the media.
7. Insert the media into another system and observe that the content is not on the media.

Additional info:

Since a default installation exhibits a user experience that can lead to loss of user data, this issue should be given a high priority.

Comment 2 Carlos Soriano 2018-07-13 08:11:43 UTC
Making Breasero hard dependency sounds good for RHEL. Ideally Nautilus would check if that's available anyway, but since no other distro is shipping Brasero by default or expecting that to work I guess it's fine ignoring upstream on this one.

Comment 4 Don Pellegrino 2018-09-04 18:32:00 UTC
It may be useful to reference this bug report in the RPM packing notes when taking the dependency approach. Ensuring the dependent package is available should prevent the user experience that may lead to loss of user data with current versions of the up-stream code. However, a side-effect will be that users working on systems that do not have a CD/DVD drive could be confused by the need to install CD/DVD burning software. As nautilus is a more of a core GNOME component, they may see the extra dependency as inefficient.

Comment 20 Tomas Pelka 2018-09-13 11:12:49 UTC
Will be resolved in Bug 1628523 outside of nautilus it self, but not in 7.6.

Sorry

Comment 22 Adam Kvitek 2018-09-21 15:10:41 UTC
Hi Carlos,

could you please provide me with information about this known issue and fill it in the Doc Text field? If this bug does not have to be documented, please write it in a comment.

If you need a reference for filling up the Doc Text field, use this:

--

Cause

What actions or circumstances cause the bug to present (if known). Note that if the cause is not known or is not fully diagnosed, current hypotheses or theories should be noted.

Consequence

What happens when the bug presents. 

Workaround

What actions, if any, reduce the bug’s effects or prevent it from presenting entirely.

Result

If the bug’s effect is only reduced, what consequences still follow; if the bug is prevented, what restrictions does the workaround impose. 

--

If you have any other questions, please contact me.

Thank you!
Adam Kvítek

Comment 24 Carlos Soriano 2018-10-01 10:33:08 UTC
Hey Adam,

Cause
brasero-nautilus package missing in the installation

Consequence
Brasero integration in Nautilus doesn't work, i.e. when clicking "burn to disk" it will do nothing.

Workaround
Install brasero-nautilus

Result
The issue is fixed

Hope this is clear enough, cheers


Note You need to log in before you can comment on or make changes to this bug.